#	======================================================================
#	Rules for making LibV object files
#	- - - - - - - - - - - - - - - - -  - - - - - - - - - - - - - - - - - -
fifo.$(o):algorith$(slash)fifo.$(lang)
	$(cc) $(cflags) $(ansi) algorith$(slash)fifo.$(lang)
stack.$(o):algorith$(slash)stack.$(lang)
	$(cc) $(cflags) $(ansi) algorith$(slash)stack.$(lang)
tree.$(o):algorith$(slash)tree.$(lang)
	$(cc) $(cflags) $(ansi) algorith$(slash)tree.$(lang)
#	- - - - - - - - - - - - - - - - -  - - - - - - - - - - - - - - - - - -
commport.$(o):PAL$(slash)commport.$(lang)
	$(cc) $(cflags) PAL$(slash)commport.$(lang)
dataman.$(o):PAL$(slash)dataman.$(lang)
	$(cc) $(cflags) PAL$(slash)dataman.$(lang)
fsops.$(o):PAL$(slash)fsops.$(lang)
	$(cc) $(cflags) PAL$(slash)fsops.$(lang)
metafile.$(o):PAL$(slash)metafile.$(lang)
	$(cc) $(cflags) PAL$(slash)metafile.$(lang)
mmap.$(o):PAL$(slash)mmap.$(lang)
	$(cc) $(cflags) PAL$(slash)mmap.$(lang)
sched.$(o):PAL$(slash)sched.$(lang)
	$(cc) $(cflags) PAL$(slash)sched.$(lang)
timer.$(o):PAL$(slash)timer.$(lang)
	$(cc) $(cflags) PAL$(slash)timer.$(lang)
vidgl.$(o):PAL$(slash)vidgl.$(lang)
	$(cc) $(cflags) PAL$(slash)vidgl.$(lang)
wavein.$(o):PAL$(slash)wavein.$(lang)
	$(cc) $(cflags) PAL$(slash)wavein.$(lang)
waveout.$(o):PAL$(slash)waveout.$(lang)
	$(cc) $(cflags) PAL$(slash)waveout.$(lang)
x86util.$(o):PAL$(slash)x86util.$(s)
	$(as) $(aflags) PAL$(slash)x86util.$(s)
#	- - - - - - - - - - - - - - - - -  - - - - - - - - - - - - - - - - - -
console.$(o):TAL$(slash)console.$(lang)
	$(cc) $(cflags) TAL$(slash)console.$(lang)
objbase.$(o):TAL$(slash)objbase.$(lang)
	$(cc) $(cflags) $(ansi) TAL$(slash)objbase.$(lang)
registry.$(o):TAL$(slash)registry.$(lang)
	$(cc) $(cflags) $(ansi) TAL$(slash)registry.$(lang)
scanner.$(o):TAL$(slash)scanner.$(lang)
	$(cc) $(cflags) $(ansi) TAL$(slash)scanner.$(lang)
string.$(o):TAL$(slash)string.$(lang)
	$(cc) $(cflags) $(ansi) TAL$(slash)string.$(lang)
bgifont.$(o):TAL$(slash)bgifont.$(lang)
	$(cc) $(cflags) $(ansi) TAL$(slash)bgifont.$(lang)
wavelib.$(o):TAL$(slash)wavelib.$(lang)
	$(cc) $(cflags) $(ansi) TAL$(slash)wavelib.$(lang)
rwlock.$(o):TAL$(slash)rwlock.$(lang)
	$(cc) $(cflags) $(ansi) TAL$(slash)rwlock.$(lang)
#	- - - - - - - - - - - - - - - - -  - - - - - - - - - - - - - - - - - -
math3d.$(o):math$(slash)math3d.$(lang)
	$(cc) $(cflags) $(ansi) math$(slash)math3d.$(lang)
matrix.$(o):math$(slash)matrix.$(lang)
	$(cc) $(cflags) $(ansi) math$(slash)matrix.$(lang)
planar.$(o):math$(slash)planar.$(lang)
	$(cc) $(cflags) $(ansi) math$(slash)planar.$(lang)
spatial.$(o):math$(slash)spatial.$(lang)
	$(cc) $(cflags) $(ansi) math$(slash)spatial.$(lang)
vector.$(o):math$(slash)vector.$(lang)
	$(cc) $(cflags) $(ansi) math$(slash)vector.$(lang)
fftwrap.$(o):math$(slash)fftwrap.$(lang)
	$(cc) $(cflags) $(ansi) math$(slash)fftwrap.$(lang)
cspline.$(o):math$(slash)cspline.$(lang)
	$(cc) $(cflags) $(ansi) math$(slash)cspline.$(lang)
#	- - - - - - - - - - - - - - - - -  - - - - - - - - - - - - - - - - - -
objmesh.$(o):geom$(slash)objmesh.$(lang)
	$(cc) $(cflags) $(ansi) geom$(slash)objmesh.$(lang)
pgrid.$(o):geom$(slash)pgrid.$(lang)
	$(cc) $(cflags) $(ansi) geom$(slash)pgrid.$(lang)
plot3d.$(o):geom$(slash)plot3d.$(lang)
	$(cc) $(cflags) $(ansi) geom$(slash)plot3d.$(lang)
pprof.$(o):geom$(slash)pprof.$(lang)
	$(cc) $(cflags) $(ansi) geom$(slash)pprof.$(lang)
stroke.$(o):geom$(slash)stroke.$(lang)
	$(cc) $(cflags) $(ansi) geom$(slash)stroke.$(lang)
tlist.$(o):geom$(slash)tlist.$(lang)
	$(cc) $(cflags) $(ansi) geom$(slash)tlist.$(lang)
#	- - - - - - - - - - - - - - - - -  - - - - - - - - - - - - - - - - - -
fslist.$(o):vfs$(slash)drivers$(slash)fslist.$(lang)
	$(cc) $(cflags) $(ansi) vfs$(slash)drivers$(slash)fslist.$(lang)
fswadfs.$(o):vfs$(slash)drivers$(slash)fswadfs.$(lang)
	$(cc) $(cflags) $(ansi) vfs$(slash)drivers$(slash)fswadfs.$(lang)
fspakfs.$(o):vfs$(slash)drivers$(slash)fspakfs.$(lang)
	$(cc) $(cflags) $(ansi) vfs$(slash)drivers$(slash)fspakfs.$(lang)
fszipfs.$(o):vfs$(slash)drivers$(slash)fszipfs.$(lang)
	$(cc) $(cflags) $(ansi) vfs$(slash)drivers$(slash)fszipfs.$(lang)
fspefs.$(o):vfs$(slash)drivers$(slash)fspefs.$(lang)
	$(cc) $(cflags) vfs$(slash)drivers$(slash)fspefs.$(lang)
fbase.$(o):vfs$(slash)fbase.$(lang)
	$(cc) $(cflags) $(ansi) vfs$(slash)fbase.$(lang)
fsbase.$(o):vfs$(slash)fsbase.$(lang)
	$(cc) $(cflags) $(ansi) vfs$(slash)fsbase.$(lang)
fstree.$(o):vfs$(slash)fstree.$(lang)
	$(cc) $(cflags) $(ansi) vfs$(slash)fstree.$(lang)
fswrap.$(o):vfs$(slash)fswrap.$(lang)
	$(cc) $(cflags) $(ansi) vfs$(slash)fswrap.$(lang)
iobase.$(o):vfs$(slash)iobase.$(lang)
	$(cc) $(cflags) $(ansi) vfs$(slash)iobase.$(lang)
mbase.$(o):vfs$(slash)mbase.$(lang)
	$(cc) $(cflags) $(ansi) vfs$(slash)mbase.$(lang)
#	- - - - - - - - - - - - - - - - -  - - - - - - - - - - - - - - - - - -
bitmap.$(o):vidgl$(slash)bitmap.$(lang)
	$(cc) $(cflags) vidgl$(slash)bitmap.$(lang)
camctl.$(o):vidgl$(slash)camctl.$(lang)
	$(cc) $(cflags) $(ansi) vidgl$(slash)camctl.$(lang)
glfbsave.$(o):vidgl$(slash)glfbsave.$(lang)
	$(cc) $(cflags) $(ansi) vidgl$(slash)glfbsave.$(lang)
glfdback.$(o):vidgl$(slash)glfdback.$(lang)
	$(cc) $(cflags) $(ansi) vidgl$(slash)glfdback.$(lang)
glfont.$(o):vidgl$(slash)glfont.$(lang)
	$(cc) $(cflags) vidgl$(slash)glfont.$(lang)
gltextur.$(o):vidgl$(slash)gltextur.$(lang)
	$(cc) $(cflags) $(ansi) vidgl$(slash)gltextur.$(lang)
glvdraw.$(o):vidgl$(slash)glvdraw.$(lang)
	$(cc) $(cflags) $(ansi) vidgl$(slash)glvdraw.$(lang)
#	- - - - - - - - - - - - - - - - -  - - - - - - - - - - - - - - - - - -
incodes.$(o):input$(slash)incodes.$(lang)
	$(cc) $(cflags) input$(slash)incodes.$(lang)
#	- - - - - - - - - - - - - - - - -  - - - - - - - - - - - - - - - - - -
